﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Neits.PersistenceService;

namespace Projecturo.Connectivity
{
    public interface IStorage
    {
        void Delete(object entity);
        T Get<T>(long id);
        IList<T> GetList<T>();
        IList<T> GetList<T>(Filter filter);
        void Refresh(object entity);
        void Save(object entity);
    }
}
