﻿CREATE TABLE [dbo].[Ticket] (
    [Id]                  BIGINT         IDENTITY (1, 1) NOT NULL,
    [Name]                NVARCHAR (50)  NULL,
    [Description]         NVARCHAR (MAX) NULL,
    [ChangeDate]          DATETIME       NULL,
    [CreateDate]          DATETIME       NULL,
    [ChangedById]         BIGINT         NULL,
    [CreatedById]         BIGINT         NULL,
    [CategoryId]          BIGINT         NULL,
    [VersionId]           BIGINT         NULL,
    [Type]                INT            NULL,
    [Priority]            INT            NULL,
    [State]               INT            NULL,
    [ProjectId]           BIGINT         NULL,
    [AssignedToId]        BIGINT         NULL,
    [ExpectedEffortHours] INT            NULL,
    [TicketStateId]       BIGINT         NULL,
    [MilestoneId]         BIGINT         NULL
);

