﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Neits.Common;
using Neits.UserService;

namespace Projecturo.Model
{
    public class Milestone : IInstanceIdentifier, IHasDataContext, ICreated, IChanged, IName, IDescription
    {
        public virtual long Id { get; set; }
        public virtual String Name { get; set; }
        public virtual String Description { get; set; }
        public virtual DateTime FinishingDate { get; set; }
        public virtual Project Project { get; set; }
        public virtual IDataContext DataContext { get; set; }
        public virtual DateTime CreateDate { get; set; }
        public virtual IUser CreatedBy { get; set; }
        public virtual DateTime ChangeDate { get; set; }
        public virtual IUser ChangedBy { get; set; }
    }
}
