﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Neits.Common;
using Neits.UserService;

namespace Projecturo.Model
{
    public class TimeRecord : IInstanceIdentifier, ICreated, IHasDataContext, IDescription, IName
    {
        #region IInstanceIdentifier Member

        public virtual long Id
        {
            get;
            set;
        }

        #endregion

        #region IHasDataContext Member

        public virtual IDataContext DataContext
        {
            get;
            set;
        }

        #endregion

        #region ICreated Member

        public virtual DateTime CreateDate
        {
            get;
            set;
        }

        public virtual IUser CreatedBy
        {
            get;
            set;
        }

        #endregion

        #region IDescription Member

        public virtual String Description
        {
            get;
            set;
        }

        #endregion

        #region IName Member

        public string Name
        {
            get;
            set;
        }

        #endregion

        public virtual DateTime StartDate { get; set; }
        public virtual DateTime EndDate { get; set; }
        public virtual Ticket Ticket { get; set; }
    }
}
