﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Neits.Common;
using Neits.UserService;

namespace Projecturo.Model
{
    public class Version : IInstanceIdentifier, IHasDataContext, ICreated, IChanged, IName, IDescription
    {
        #region IInstanceIdentifier Member

        public virtual long Id
        {
            get;
            set;
        }

        #endregion

        #region IHasDataContext Member

        public virtual IDataContext DataContext
        {
            get;
            set;
        }

        #endregion

        #region ICreated Member

        public virtual DateTime CreateDate
        {
            get;
            set;
        }

        public virtual IUser CreatedBy
        {
            get;
            set;
        }

        #endregion

        #region IChanged Member

        public virtual DateTime ChangeDate
        {
            get;
            set;
        }

        public virtual IUser ChangedBy
        {
            get;
            set;
        }

        #endregion

        #region IName Member

        public virtual string Name
        {
            get;
            set;
        }

        #endregion

        #region IDescription Member

        public virtual string Description
        {
            get;
            set;
        }

        #endregion

        public virtual Project Project
        {
            get;
            set;
        }
    }
}
